# Couenne::DomainPoint Class Reference

Define a point in the solution space and the bounds around it. More...

`#include <CouenneDomain.hpp>`

List of all members.

## Public Member Functions
| DomainPoint (int dim, CouNumber *x, CouNumber *lb, CouNumber *ub, bool copy=true)
| constructor
| DomainPoint (int dim=0, const CouNumber *x=NULL, const CouNumber *lb=NULL, const CouNumber *ub=NULL, bool copy=true)
| constructor
| ~DomainPoint ()
| destructor
| DomainPoint (const DomainPoint &src)
| copy constructor
void | resize (int newdim)
| resize domain point (for extending into higher space)
int | size () const
| return current size
int | Dimension ()
| return dimension_
CouNumber & | x (register int index)
| return current variable
CouNumber & | lb (register int index)
| return current lower bound
CouNumber & | ub (register int index)
| return current upper bound
CouNumber * | x ()
| return current variable vector
CouNumber * | lb ()
| return current lower bound vector
CouNumber * | ub ()
| return current upper bound vector
DomainPoint & | operator= (const DomainPoint &src)
| assignment operator
bool & | isNlp ()
| true if this point is the nlp solution
## Protected Attributes
int | dimension_
| dimension of point
CouNumber * | x_
| current value of variables
CouNumber * | lb_
| lower bound
CouNumber * | ub_
| upper bound
bool | copied_
| true if data has been copied (so we own it, and have to delete it upon destruction)
bool | isNlp_
| true if this point comes from an NLP solver (and is thus nlp feasible)
## Friends
class | Domain

## Detailed Description

Define a point in the solution space and the bounds around it.

Definition at line 30 of file CouenneDomain.hpp.

## Constructor & Destructor Documentation

Couenne::DomainPoint::DomainPoint | ( | int | dim,
|  | CouNumber * | x,
|  | CouNumber * | lb,
|  | CouNumber * | ub,
|  | bool | copy = `true` |
| ) |  |  |

constructor

Couenne::DomainPoint::DomainPoint | ( | int | dim = `0`,
|  | const CouNumber * | x = `NULL`,
|  | const CouNumber * | lb = `NULL`,
|  | const CouNumber * | ub = `NULL`,
|  | bool | copy = `true` |
| ) |  |  |

constructor

Couenne::DomainPoint::~DomainPoint | ( |  | ) | `[inline]`

destructor

Definition at line 64 of file CouenneDomain.hpp.

References copied_, lb_, ub_, and x_.

Couenne::DomainPoint::DomainPoint | ( | const DomainPoint & | src | ) |

copy constructor

## Member Function Documentation

void Couenne::DomainPoint::resize | ( | int | newdim | ) |

resize domain point (for extending into higher space)

int Couenne::DomainPoint::size | ( |  | ) | const`[inline]`

return current size

Definition at line 79 of file CouenneDomain.hpp.

References dimension_.

int Couenne::DomainPoint::Dimension | ( |  | ) | `[inline]`

return dimension_

Definition at line 82 of file CouenneDomain.hpp.

References dimension_.

CouNumber& Couenne::DomainPoint::x | ( | register int | index | ) | `[inline]`

return current variable

Definition at line 84 of file CouenneDomain.hpp.

References x_.

CouNumber& Couenne::DomainPoint::lb | ( | register int | index | ) | `[inline]`

return current lower bound

Definition at line 85 of file CouenneDomain.hpp.

References lb_.

CouNumber& Couenne::DomainPoint::ub | ( | register int | index | ) | `[inline]`

return current upper bound

Definition at line 86 of file CouenneDomain.hpp.

References ub_.

CouNumber* Couenne::DomainPoint::x | ( |  | ) | `[inline]`

return current variable vector

Definition at line 88 of file CouenneDomain.hpp.

References x_.

CouNumber* Couenne::DomainPoint::lb | ( |  | ) | `[inline]`

return current lower bound vector

Definition at line 89 of file CouenneDomain.hpp.

References lb_.

CouNumber* Couenne::DomainPoint::ub | ( |  | ) | `[inline]`

return current upper bound vector

Definition at line 90 of file CouenneDomain.hpp.

References ub_.

DomainPoint& Couenne::DomainPoint::operator= | ( | const DomainPoint & | src | ) |

assignment operator

bool& Couenne::DomainPoint::isNlp | ( |  | ) | `[inline]`

true if this point is the nlp solution

Definition at line 96 of file CouenneDomain.hpp.

References isNlp_.

## Friends And Related Function Documentation

friend class Domain`[friend]`

Definition at line 32 of file CouenneDomain.hpp.

## Member Data Documentation

int Couenne::DomainPoint::dimension_`[protected]`

dimension of point

Definition at line 36 of file CouenneDomain.hpp.

Referenced by Dimension(), and size().

CouNumber* Couenne::DomainPoint::x_`[protected]`

current value of variables

Definition at line 38 of file CouenneDomain.hpp.

Referenced by x(), and ~DomainPoint().

CouNumber* Couenne::DomainPoint::lb_`[protected]`

lower bound

Definition at line 39 of file CouenneDomain.hpp.

Referenced by lb(), and ~DomainPoint().

CouNumber* Couenne::DomainPoint::ub_`[protected]`

upper bound

Definition at line 40 of file CouenneDomain.hpp.

Referenced by ub(), and ~DomainPoint().

bool Couenne::DomainPoint::copied_`[protected]`

true if data has been copied (so we own it, and have to delete it upon destruction)

Definition at line 42 of file CouenneDomain.hpp.

Referenced by ~DomainPoint().

bool Couenne::DomainPoint::isNlp_`[protected]`

true if this point comes from an NLP solver (and is thus nlp feasible)

Definition at line 45 of file CouenneDomain.hpp.

Referenced by isNlp().

The documentation for this class was generated from the following file:

- CouenneDomain.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines